//+------------------------------------------------------------------+
//|                                                     Controls.mq5 |
//|                   Copyright 2009-2013, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright   "2016, MetaQuotes Software Corp"        
#property version     "1.00"                                    
input string   file_name;
#include <OptimizatorResultView.mqh>
//+------------------------------------------------------------------+
//| Global Variables                                                 |
//+------------------------------------------------------------------+
OptimizatorResultView view;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   OptimizatorResultParsing *result = new OptimizatorResultParsing(file_name);
//--- create application dialog
   if(!view.Create(result))
      return(INIT_FAILED);
//--- run application
   view.Run();
//--- succeed
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//--- destroy dialog
   view.Destroy(reason);
  }
//+------------------------------------------------------------------+
//| Expert chart event function                                      |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,         // event ID  
                  const long& lparam,   // event parameter of the long type
                  const double& dparam, // event parameter of the double type
                  const string& sparam) // event parameter of the string type
  {
   view.ChartEvent(id,lparam,dparam,sparam);
  }
//+------------------------------------------------------------------+
